<?xml version='1.0' encoding='UTF-8'?>

<Properties version="4.1">
	<Property name="ErrorSuppression" type="Boolean">false</Property>
	<Property name="IsModuleTemplate" type="Boolean">false</Property>
	<Property name="xslt.base64Zipped">true</Property>
	<Property name="xslt.ignoreInput">false</Property>
	<Property name="xslt.params" type="List">
		<Property name="var.query">var.query</Property>
	</Property>
	<Property name="xslt.saveAtServer">true</Property>
	<Property name="xslt.source">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;response>&lt;result>true&lt;/result>&lt;overallResult>true&lt;/overallResult>&lt;responses>&lt;response>&lt;result>true&lt;/result>&lt;body>&lt;refreshxxx>false&lt;/refreshxxx>&lt;message>12&lt;/message>&lt;failure>false&lt;/failure>&lt;/body>&lt;assetx>&lt;id>12123&lt;/id>&lt;version>&lt;customId>DAWUMM&lt;/customId>&lt;template>&lt;id>75&lt;/id>&lt;customId>SIEBEN&lt;/customId>&lt;/template>&lt;/version>&lt;/assetx>&lt;template>&lt;id>123&lt;/id>&lt;customId>EINS&lt;/customId>&lt;/template>&lt;/response>&lt;/responses>&lt;log>&lt;entries/>&lt;/log>&lt;/response></Property>
	<Property name="xslt.sourceVariables" type="Map">
		<Property name="ISFileSize">241</Property>
		<Property name="ISCurrentTime" type="Long">1750696688678</Property>
		<Property name="ISWorkflowName">VAM_api_zzz_call_api</Property>
		<Property name="ISModuleName">VAM_zzz_test_validate_basic_response</Property>
		<Property name="ISModuleId">262</Property>
		<Property name="ISProcessId">640097</Property>
		<Property name="ISUserName">chkaufhold</Property>
		<Property name="ISServerName">dev04.virtimo.net</Property>
		<Property name="ISNodeName">100.78.0.66</Property>
		<Property name="ISGlobalProcessId">640097</Property>
		<Property name="ISInvokingWorkflow">VAM_api_zzz_test_template_actions</Property>
		<Property name="ISInvokingModule">VAM_zzz_api_wfc_api_call_asset_query</Property>
		<Property name="ISOverwriteSubWorkflowPriority" type="Boolean">false</Property>
		<Property name="var.organizationId">zzztest</Property>
		<Property name="var.userContext" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;userContext>&lt;login>bpcadmin&lt;/login>&lt;/userContext></Property>
		<Property name="var.query" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;request>&lt;context>template&lt;/context>&lt;method>executeAction&lt;/method>&lt;parameters>&lt;asset>&lt;id>12&lt;/id>&lt;/asset>&lt;return>false&lt;/return>&lt;/parameters>&lt;/request></Property>
	</Property>
	<Property name="xslt.stylesheet" type="XmlDocument">&lt;?xml version="1.0" encoding="UTF-8"?>
&lt;xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:local="local:local" xmlns:isxp="java:com.inubit.ibis.xsltext.ISFunctions" exclude-result-prefixes="#all" version="2.0">
  &lt;xsl:output method="xml" encoding="UTF-8"/>&lt;xsl:param name="var.query" as="element()"/>&lt;xsl:function name="local:validateAbsent">&lt;xsl:param name="var.items" as="element()*"/>&lt;xsl:if test="exists($var.items)">&lt;xsl:sequence select="error((), concat('Unexpected &amp;quot;', name($var.items[1]), '&amp;quot;'))"/>&lt;/xsl:if>&lt;/xsl:function>&lt;xsl:function name="local:validateNonNegativeInteger">&lt;xsl:param name="var.item" as="element()"/>&lt;xsl:if test="not($var.item castable as xs:integer and $var.item &amp;gt;= 0)">&lt;xsl:sequence select="error((), concat('Bad non-negative integer ', name($var.item)))"/>&lt;/xsl:if>&lt;/xsl:function>&lt;xsl:function name="local:validateBoolean">&lt;xsl:param name="var.item" as="element()"/>&lt;xsl:if test="not($var.item =  ('true', 'false'))">&lt;xsl:sequence select="error((), concat('Bad boolean ', name($var.item)))"/>&lt;/xsl:if>&lt;/xsl:function>&lt;xsl:function name="local:validateOne">&lt;xsl:param name="var.root" as="element()"/>&lt;xsl:param name="var.name" as="xs:string"/>&lt;xsl:if test="not(exists($var.root/*[name() = $var.name]))">&lt;xsl:sequence select="error((), concat('Missing &amp;quot;', $var.name, '&amp;quot;'))"/>&lt;/xsl:if>&lt;xsl:if test="count($var.root/*[name() = $var.name]) &amp;gt; 1">&lt;xsl:sequence select="error((), concat('Too many &amp;quot;', $var.name, '&amp;quot;'))"/>&lt;/xsl:if>&lt;/xsl:function>&lt;xsl:function name="local:validateOneOptional">&lt;xsl:param name="var.root" as="element()"/>&lt;xsl:param name="var.name" as="xs:string"/>&lt;xsl:param name="var.optional"/>&lt;xsl:if test="not(exists($var.root/*[name() = $var.name])) and not($var.optional = 'true')">&lt;xsl:sequence select="error((), concat('Missing &amp;quot;', $var.name, '&amp;quot;'))"/>&lt;/xsl:if>&lt;xsl:if test="count($var.root/*[name() = $var.name]) &amp;gt; 1">&lt;xsl:sequence select="error((), concat('Too many &amp;quot;', $var.name, '&amp;quot;'))"/>&lt;/xsl:if>&lt;/xsl:function>&lt;xsl:function name="local:validateEmptyBody">&lt;xsl:param name="var.body" as="element()"/>&lt;xsl:sequence select="local:validateAbsent($var.body/*)"/>&lt;/xsl:function>&lt;xsl:function name="local:validatePaging">&lt;xsl:param name="var.parameters" as="element()?"/>&lt;xsl:param name="var.items" as="element()*"/>&lt;xsl:param name="var.total" as="element()"/>&lt;xsl:choose>&lt;xsl:when test="$var.parameters/start != '' and $var.parameters/limit != ''">&lt;xsl:variable name="var.pageSize" select="$var.parameters/limit - $var.parameters/start"/>&lt;xsl:choose>&lt;xsl:when test="count($var.items) &amp;gt; $var.pageSize">&lt;xsl:sequence select="error((), 'Incorrect paging count')"/>&lt;/xsl:when>&lt;xsl:when test="$var.parameters/start &amp;gt; $var.total">&lt;xsl:if test="exists($var.items)">&lt;xsl:sequence select="error((), 'paging overflow')"/>&lt;/xsl:if>&lt;/xsl:when>&lt;xsl:when test="$var.parameters/start + count($var.items) &amp;gt; $var.total">&lt;xsl:sequence select="error((), 'paging overflow')"/>&lt;/xsl:when>&lt;xsl:when test="$var.parameters/limit &amp;lt;= $var.total">&lt;xsl:if test="count($var.items) != $var.pageSize">&lt;xsl:sequence select="error((), 'paging underflow')"/>&lt;/xsl:if>&lt;/xsl:when>&lt;/xsl:choose>&lt;/xsl:when>&lt;xsl:otherwise>&lt;xsl:if test="count($var.items) != $var.total">&lt;xsl:sequence select="error((), 'Incorrect total count')"/>&lt;/xsl:if>&lt;/xsl:otherwise>&lt;/xsl:choose>&lt;/xsl:function>&lt;!--Lesezugriffe-->&lt;xsl:function name="local:validateDynamicEnum">&lt;xsl:param name="var.peer" as="element()"/>&lt;xsl:param name="var.body" as="element()"/>&lt;xsl:sequence select="local:validateOne($var.body, 'enums')"/>&lt;xsl:sequence select="local:validateAbsent($var.body/*[not(self::enums)])"/>&lt;/xsl:function>&lt;xsl:function name="local:validateOrganizationGetConfiguration">&lt;xsl:param name="var.peer" as="element()"/>&lt;xsl:param name="var.body" as="element()"/>&lt;xsl:sequence select="local:validateOne($var.body, 'configuration')"/>&lt;xsl:sequence select="local:validateAbsent($var.body/*[not(self::configuration)])"/>&lt;/xsl:function>&lt;xsl:function name="local:validateQueryGet">&lt;xsl:param name="var.peer" as="element()"/>&lt;xsl:param name="var.body" as="element()"/>&lt;xsl:sequence select="local:validateOneOptional($var.body, 'query', $var.peer/parameters/optional)"/>&lt;xsl:sequence select="local:validateAbsent($var.body/*[not(self::query)])"/>&lt;xsl:if test="exists($var.body/query) and not($var.body/query/id = $var.peer/parameters/id)">&lt;xsl:sequence select="error((), 'Incorrect query id')"/>&lt;/xsl:if>&lt;/xsl:function>&lt;xsl:function name="local:validateTemplateGet">&lt;xsl:param name="var.peer" as="element()"/>&lt;xsl:param name="var.body" as="element()"/>&lt;xsl:sequence select="local:validateOneOptional($var.body, 'template', $var.peer/parameters/optional)"/>&lt;xsl:sequence select="local:validateAbsent($var.body/*[not(self::template)])"/>&lt;xsl:if test="exists($var.body/template)">&lt;xsl:choose>&lt;xsl:when test="exists($var.peer/parameters/id) and not($var.body/template/id = $var.peer/parameters/id)">&lt;xsl:sequence select="error((), 'Incorrect template id')"/>&lt;/xsl:when>&lt;xsl:when test="exists($var.peer/parameters/customId) and not($var.body/template/customId = $var.peer/parameters/customId)">&lt;xsl:sequence select="error((), 'Incorrect template customId')"/>&lt;/xsl:when>&lt;/xsl:choose>&lt;/xsl:if>&lt;/xsl:function>&lt;xsl:function name="local:validateAssetGet">&lt;xsl:param name="var.peer" as="element()"/>&lt;xsl:param name="var.body" as="element()"/>&lt;xsl:sequence select="local:validateOneOptional($var.body, 'asset', $var.peer/parameters/optional)"/>&lt;xsl:sequence select="local:validateAbsent($var.body/*[not(self::asset | self::arelease)])"/>&lt;xsl:if test="exists($var.body/asset)">&lt;xsl:choose>&lt;xsl:when test="exists($var.peer/parameters/id)">&lt;xsl:if test="not($var.body/asset/id = $var.peer/parameters/id)">&lt;xsl:sequence select="error((), 'Incorrect asset id')"/>&lt;/xsl:if>&lt;/xsl:when>&lt;xsl:otherwise>&lt;xsl:if test="not($var.body/asset/version/customId = $var.peer/parameters/customId)">&lt;xsl:sequence select="error((), 'Incorrect asset customId')"/>&lt;!--TODO incorrect - requested version may have different one-->&lt;/xsl:if>&lt;xsl:choose>&lt;xsl:when test="exists($var.peer/parameters/templateId)">&lt;xsl:if test="not($var.body/asset/version/template/id = $var.peer/parameters/templateId)">&lt;xsl:sequence select="error((), 'Incorrect template id')"/>&lt;/xsl:if>&lt;/xsl:when>&lt;xsl:when test="not($var.body/asset/version/template/customId = $var.peer/parameters/templateCustomId)">&lt;xsl:sequence select="error((), 'Incorrect template custom id')"/>&lt;/xsl:when>&lt;/xsl:choose>&lt;/xsl:otherwise>&lt;/xsl:choose>&lt;/xsl:if>&lt;/xsl:function>&lt;xsl:function name="local:validateQueryQuery">&lt;xsl:param name="var.peer" as="element()"/>&lt;xsl:param name="var.body" as="element()"/>&lt;xsl:sequence select="local:validateOne($var.body, 'total')"/>&lt;xsl:sequence select="local:validateOne($var.body, 'queries')"/>&lt;xsl:sequence select="local:validatePaging($var.peer/parameters, $var.body/queries/*, $var.body/total)"/>&lt;/xsl:function>&lt;xsl:function name="local:validateTemplateQuery">&lt;xsl:param name="var.peer" as="element()"/>&lt;xsl:param name="var.body" as="element()"/>&lt;xsl:sequence select="local:validateOne($var.body, 'total')"/>&lt;xsl:sequence select="local:validateOne($var.body, 'templates')"/>&lt;xsl:sequence select="local:validatePaging($var.peer/parameters, $var.body/templates/*, $var.body/total)"/>&lt;/xsl:function>&lt;xsl:function name="local:validateAssetQuery">&lt;xsl:param name="var.peer" as="element()"/>&lt;xsl:param name="var.body" as="element()"/>&lt;xsl:sequence select="local:validateOne($var.body, 'release')"/>&lt;xsl:sequence select="local:validateNonNegativeInteger($var.body/release)"/>&lt;xsl:choose>&lt;xsl:when test="exists($var.peer/parameters/queries)">&lt;xsl:variable name="var.queries" select="$var.body/queries/*" as="element()*"/>&lt;xsl:if test="count($var.queries) != count($var.peer/parameters/queries/*)">&lt;xsl:sequence select="error((), 'Incorrect query count')"/>&lt;/xsl:if>&lt;xsl:for-each select="$var.peer/parameters/queries/*">&lt;xsl:variable name="var.queryPosition" select="position()"/>&lt;xsl:sequence select="local:validateSingleAssetQuery(., $var.queries[position() = $var.queryPosition])"/>&lt;/xsl:for-each>&lt;/xsl:when>&lt;xsl:otherwise>&lt;xsl:if test="exists($var.body/queries)">&lt;xsl:sequence select="error((), 'Unexpected queries')"/>&lt;/xsl:if>&lt;xsl:variable name="var.parameters" as="element()">&lt;parameters>&lt;xsl:sequence select="$var.peer/parameters/*"/>&lt;/parameters>&lt;!--ganz fehlendes Parameters ist erlaubt-->&lt;/xsl:variable>&lt;xsl:sequence select="local:validateSingleAssetQuery($var.parameters, $var.body)"/>&lt;/xsl:otherwise>&lt;/xsl:choose>&lt;/xsl:function>&lt;xsl:function name="local:validateSingleAssetQuery">&lt;xsl:param name="var.query" as="element()"/>&lt;xsl:param name="var.response" as="element()"/>&lt;xsl:sequence select="local:validateOne($var.response, 'total')"/>&lt;xsl:sequence select="local:validateNonNegativeInteger($var.response/total)"/>&lt;xsl:if test="($var.query/withTemplate = 'true') != exists($var.response/template)">&lt;xsl:sequence select="error((), 'withTemplate mismatch')"/>&lt;/xsl:if>&lt;xsl:choose>&lt;xsl:when test="$var.query/totalOnly = 'true'">&lt;xsl:if test="exists($var.response/(assets | elements)/*)">&lt;xsl:sequence select="error((), 'totalOnly mismatch')"/>&lt;/xsl:if>&lt;/xsl:when>&lt;xsl:otherwise>&lt;xsl:choose>&lt;xsl:when test="$var.query/format = 'element'">&lt;xsl:sequence select="local:validateOne($var.response, 'elements')"/>&lt;xsl:if test="exists($var.response/elements/*[not(self::element)])">&lt;xsl:sequence select="error((), 'Expected element children')"/>&lt;/xsl:if>&lt;xsl:sequence select="local:validatePaging($var.query, $var.response/elements/element, $var.response/total)"/>&lt;/xsl:when>&lt;xsl:otherwise>&lt;xsl:sequence select="local:validateOne($var.response, 'assets')"/>&lt;xsl:if test="exists($var.response/assets/*[not(self::asset)])">&lt;xsl:sequence select="error((), 'Expected asset children')"/>&lt;/xsl:if>&lt;xsl:sequence select="local:validatePaging($var.query, $var.response/assets/asset, $var.response/total)"/>&lt;/xsl:otherwise>&lt;/xsl:choose>&lt;/xsl:otherwise>&lt;/xsl:choose>&lt;/xsl:function>&lt;!--Schreibzugriffe-->&lt;xsl:function name="local:validateQueryCreate">&lt;xsl:param name="var.peer" as="element()"/>&lt;xsl:param name="var.body" as="element()"/>&lt;xsl:sequence select="local:validateOne($var.body, 'query')"/>&lt;xsl:sequence select="local:validateAbsent($var.body/*[not(self::query)])"/>&lt;/xsl:function>&lt;xsl:function name="local:validateQueryUpdate">&lt;xsl:param name="var.peer" as="element()"/>&lt;xsl:param name="var.body" as="element()"/>&lt;xsl:choose>&lt;xsl:when test="$var.peer/parameters/return = 'true'">&lt;xsl:sequence select="local:validateOne($var.body, 'query')"/>&lt;xsl:sequence select="local:validateAbsent($var.body/*[not(self::query)])"/>&lt;xsl:if test="not($var.body/query/id = $var.peer/parameters/query/id)">&lt;xsl:sequence select="error((), 'Incorrect query id')"/>&lt;/xsl:if>&lt;/xsl:when>&lt;xsl:otherwise>&lt;xsl:sequence select="local:validateEmptyBody($var.body)"/>&lt;/xsl:otherwise>&lt;/xsl:choose>&lt;/xsl:function>&lt;xsl:function name="local:validateTemplateCreate">&lt;xsl:param name="var.peer" as="element()"/>&lt;xsl:param name="var.body" as="element()"/>&lt;xsl:sequence select="local:validateOne($var.body, 'template')"/>&lt;xsl:sequence select="local:validateAbsent($var.body/*[not(self::template)])"/>&lt;/xsl:function>&lt;xsl:function name="local:validateTemplateUpdate">&lt;xsl:param name="var.peer" as="element()"/>&lt;xsl:param name="var.body" as="element()"/>&lt;xsl:choose>&lt;xsl:when test="$var.peer/parameters/return = 'true'">&lt;xsl:sequence select="local:validateOne($var.body, 'template')"/>&lt;xsl:sequence select="local:validateAbsent($var.body/*[not(self::template)])"/>&lt;xsl:choose>&lt;xsl:when test="exists($var.peer/parameters/template/id) and not($var.body/template/id = $var.peer/parameters/template/id)">&lt;xsl:sequence select="error((), 'Incorrect template id')"/>&lt;/xsl:when>&lt;xsl:when test="exists($var.peer/parameters/template/customId) and not($var.body/template/customId = $var.peer/parameters/template/customId)">&lt;xsl:sequence select="error((), 'Incorrect template customId')"/>&lt;/xsl:when>&lt;/xsl:choose>&lt;/xsl:when>&lt;xsl:otherwise>&lt;xsl:sequence select="local:validateEmptyBody($var.body)"/>&lt;/xsl:otherwise>&lt;/xsl:choose>&lt;/xsl:function>&lt;xsl:function name="local:validateAssetCreate">&lt;xsl:param name="var.peer" as="element()"/>&lt;xsl:param name="var.body" as="element()"/>&lt;xsl:sequence select="local:validateOne($var.body, 'asset')"/>&lt;xsl:sequence select="local:validateAbsent($var.body/*[not(self::asset)])"/>&lt;/xsl:function>&lt;xsl:function name="local:validateAssetUpdate">&lt;xsl:param name="var.peer" as="element()"/>&lt;xsl:param name="var.body" as="element()"/>&lt;xsl:choose>&lt;xsl:when test="$var.peer/parameters/return = 'true'">&lt;xsl:sequence select="local:validateOne($var.body, 'asset')"/>&lt;xsl:sequence select="local:validateAbsent($var.body/*[not(self::asset | self::unchanged)])"/>&lt;/xsl:when>&lt;xsl:otherwise>&lt;xsl:sequence select="local:validateAbsent($var.body/*[not(self::unchanged)])"/>&lt;/xsl:otherwise>&lt;/xsl:choose>&lt;/xsl:function>&lt;!--Actions-->&lt;xsl:function name="local:validateTemplateGetActionAttributes">&lt;xsl:param name="var.peer" as="element()"/>&lt;xsl:param name="var.body" as="element()"/>&lt;xsl:sequence select="local:validateOne($var.body, 'attributes')"/>&lt;xsl:sequence select="local:validateOne($var.body, 'attachments')"/>&lt;xsl:sequence select="local:validateAbsent($var.body/*[not(self::attributes | self::attachments)])"/>&lt;/xsl:function>&lt;xsl:function name="local:validateTemplateExecuteAction">&lt;xsl:param name="var.peer" as="element()"/>&lt;xsl:param name="var.body" as="element()"/>&lt;xsl:sequence select="local:validateOne($var.body, 'refresh')"/>&lt;xsl:sequence select="local:validateAbsent($var.body/*[not(self::refresh | self::download | self::custom | self::message | self::failure)])"/>&lt;xsl:sequence select="local:validateBoolean($var.body/refresh)"/>&lt;xsl:if test="exists($var.body/failure)">&lt;xsl:sequence select="local:validateBoolean($var.body/failure)"/>&lt;/xsl:if>&lt;/xsl:function>&lt;xsl:function name="local:validateAssetGetActionAttributes">&lt;xsl:param name="var.peer" as="element()"/>&lt;xsl:param name="var.body" as="element()"/>&lt;xsl:sequence select="local:validateOne($var.body, 'attributes')"/>&lt;xsl:sequence select="local:validateOne($var.body, 'attachments')"/>&lt;xsl:sequence select="local:validateAbsent($var.body/*[not(self::attributes | self::attachments)])"/>&lt;/xsl:function>&lt;xsl:function name="local:validateAssetExecuteAction">&lt;xsl:param name="var.peer" as="element()"/>&lt;xsl:param name="var.body" as="element()"/>&lt;xsl:sequence select="local:validateOne($var.body, 'refresh')"/>&lt;xsl:sequence select="local:validateOne($var.body, 'total')"/>&lt;xsl:sequence select="local:validateAbsent($var.body/*[not(self::refresh | self::download | self::custom | self::message | self::failure | self::total)])"/>&lt;xsl:sequence select="local:validateBoolean($var.body/refresh)"/>&lt;xsl:sequence select="local:validateNonNegativeInteger($var.body/total)"/>&lt;xsl:if test="exists($var.body/failure)">&lt;xsl:sequence select="local:validateBoolean($var.body/failure)"/>&lt;/xsl:if>&lt;/xsl:function>
  &lt;xsl:template match="/*">&lt;xsl:sequence select="."/>&lt;xsl:variable name="var.responses" select="responses/*" as="element()*"/>&lt;xsl:variable name="var.requests" as="element()*" select="if ($var.query/self::request) then $var.query else $var.query/request"/>&lt;xsl:for-each select="$var.responses[exists(body)]">&lt;xsl:variable name="var.responsePosition" select="position()"/>&lt;xsl:variable name="var.peer" select="$var.requests[position() = $var.responsePosition]" as="element()"/>&lt;xsl:variable name="var.responseBody" as="element()">&lt;body>&lt;xsl:copy-of select="body/*[not(self::user)]">&lt;!--withUser-Feature entfernen-->&lt;/xsl:copy-of>&lt;/body>&lt;/xsl:variable>&lt;xsl:choose>&lt;xsl:when test="$var.peer/context = 'void'">&lt;xsl:choose>&lt;xsl:when test="$var.peer/method = 'void'">&lt;xsl:sequence select="local:validateEmptyBody($var.responseBody)"/>&lt;/xsl:when>&lt;xsl:otherwise>&lt;xsl:sequence select="error((), 'Unsupported method')"/>&lt;/xsl:otherwise>&lt;/xsl:choose>&lt;/xsl:when>&lt;xsl:when test="$var.peer/context = 'organization'">&lt;xsl:choose>&lt;xsl:when test="$var.peer/method = 'setConfiguration' or $var.peer/method = 'setName'">&lt;xsl:sequence select="local:validateEmptyBody($var.responseBody)"/>&lt;/xsl:when>&lt;xsl:when test="$var.peer/method = 'getConfiguration'">&lt;xsl:sequence select="local:validateOrganizationGetConfiguration($var.peer, $var.responseBody)"/>&lt;/xsl:when>&lt;xsl:otherwise>&lt;xsl:sequence select="error((), 'Unsupported method')"/>&lt;/xsl:otherwise>&lt;/xsl:choose>&lt;/xsl:when>&lt;xsl:when test="$var.peer/context = 'query'">&lt;xsl:choose>&lt;xsl:when test="$var.peer/method = 'query'">&lt;xsl:sequence select="local:validateQueryQuery($var.peer, $var.responseBody)"/>&lt;/xsl:when>&lt;xsl:when test="$var.peer/method = 'get'">&lt;xsl:sequence select="local:validateQueryGet($var.peer, $var.responseBody)"/>&lt;/xsl:when>&lt;xsl:when test="$var.peer/method = 'create'">&lt;xsl:sequence select="local:validateQueryCreate($var.peer, $var.responseBody)"/>&lt;/xsl:when>&lt;xsl:when test="$var.peer/method = 'update'">&lt;xsl:sequence select="local:validateQueryUpdate($var.peer, $var.responseBody)"/>&lt;/xsl:when>&lt;xsl:when test="$var.peer/method = 'delete'">&lt;xsl:sequence select="local:validateEmptyBody($var.responseBody)"/>&lt;/xsl:when>&lt;xsl:otherwise>&lt;xsl:sequence select="error((), 'Unsupported method')"/>&lt;/xsl:otherwise>&lt;/xsl:choose>&lt;/xsl:when>&lt;xsl:when test="$var.peer/context = 'template'">&lt;xsl:choose>&lt;xsl:when test="$var.peer/method = 'query'">&lt;xsl:sequence select="local:validateTemplateQuery($var.peer, $var.responseBody)"/>&lt;/xsl:when>&lt;xsl:when test="$var.peer/method = 'get'">&lt;xsl:sequence select="local:validateTemplateGet($var.peer, $var.responseBody)"/>&lt;/xsl:when>&lt;xsl:when test="$var.peer/method = 'create'">&lt;xsl:sequence select="local:validateTemplateCreate($var.peer, $var.responseBody)"/>&lt;/xsl:when>&lt;xsl:when test="$var.peer/method = 'update'">&lt;xsl:sequence select="local:validateTemplateUpdate($var.peer, $var.responseBody)"/>&lt;/xsl:when>&lt;xsl:when test="$var.peer/method = 'delete'">&lt;xsl:sequence select="local:validateEmptyBody($var.responseBody)"/>&lt;/xsl:when>&lt;xsl:when test="$var.peer/method = 'executeAction'">&lt;xsl:sequence select="local:validateTemplateExecuteAction($var.peer, $var.responseBody)"/>&lt;/xsl:when>&lt;xsl:when test="$var.peer/method = 'getActionAttributes'">&lt;xsl:sequence select="local:validateTemplateGetActionAttributes($var.peer, $var.responseBody)"/>&lt;/xsl:when>&lt;xsl:otherwise>&lt;xsl:sequence select="error((), 'Unsupported method')"/>&lt;/xsl:otherwise>&lt;/xsl:choose>&lt;/xsl:when>&lt;xsl:when test="$var.peer/context = 'asset'">&lt;xsl:choose>&lt;xsl:when test="$var.peer/method = 'query'">&lt;xsl:sequence select="local:validateAssetQuery($var.peer, $var.responseBody)"/>&lt;/xsl:when>&lt;xsl:when test="$var.peer/method = 'get'">&lt;xsl:sequence select="local:validateAssetGet($var.peer, $var.responseBody)"/>&lt;/xsl:when>&lt;xsl:when test="$var.peer/method = 'create'">&lt;xsl:sequence select="local:validateAssetCreate($var.peer, $var.responseBody)"/>&lt;/xsl:when>&lt;xsl:when test="$var.peer/method = 'update'">&lt;xsl:sequence select="local:validateAssetUpdate($var.peer, $var.responseBody)"/>&lt;/xsl:when>&lt;xsl:when test="$var.peer/method = 'delete'">&lt;xsl:sequence select="local:validateEmptyBody($var.responseBody)"/>&lt;/xsl:when>&lt;xsl:when test="$var.peer/method = 'executeAction'">&lt;xsl:sequence select="local:validateAssetExecuteAction($var.peer, $var.responseBody)"/>&lt;/xsl:when>&lt;xsl:when test="$var.peer/method = 'getActionAttributes'">&lt;xsl:sequence select="local:validateAssetGetActionAttributes($var.peer, $var.responseBody)"/>&lt;/xsl:when>&lt;xsl:otherwise>&lt;xsl:sequence select="error((), 'Unsupported method')"/>&lt;/xsl:otherwise>&lt;/xsl:choose>&lt;/xsl:when>&lt;xsl:when test="$var.peer/context = 'dynamicEnum'">&lt;xsl:sequence select="local:validateDynamicEnum($var.peer, $var.responseBody)"/>&lt;/xsl:when>&lt;xsl:when test="$var.peer/context = 'download'">&lt;xsl:sequence select="error((), 'Unsupported context')">&lt;!--geht auch wirklich nicht, da hier mit dem Dateiinhalt geantwortet würde-->&lt;/xsl:sequence>&lt;/xsl:when>&lt;xsl:otherwise>&lt;xsl:sequence select="error((), 'Unsupported context')"/>&lt;/xsl:otherwise>&lt;/xsl:choose>&lt;/xsl:for-each>
  &lt;/xsl:template>
&lt;/xsl:stylesheet></Property>
	<Property name="xslt.target"></Property>
	<Property name="xslt.transformer">net.sf.saxon.TransformerFactoryImpl</Property>
	<Property name="xslt_mode">NEW</Property>
</Properties>